package envoy.client.ui.control;

import javafx.geometry.Pos;
import javafx.scene.control.Label;
import javafx.scene.image.ImageView;
import javafx.scene.layout.VBox;
import javafx.scene.shape.Rectangle;

import envoy.client.util.IconUtil;
import envoy.data.User;

/**
 * @author Maximilian K&auml;fer
 * @since Envoy Client v0.3-beta
 */
public class QuickSelectControl extends VBox {

	public QuickSelectControl(User user) {

		// Profile picture
		ImageView	contactProfilePic	= new ImageView(IconUtil.loadIconThemeSensitive("user_icon", 32));
		final var	clip				= new Rectangle();
		clip.setWidth(32);
		clip.setHeight(32);
		clip.setArcHeight(32);
		clip.setArcWidth(32);
		contactProfilePic.setClip(clip);
		setAlignment(Pos.TOP_CENTER);
		getChildren().add(contactProfilePic);

		Label nameLabel = new Label();
		nameLabel.setPrefSize(35, 20);
		nameLabel.setMaxSize(35, 20);
		nameLabel.setMinSize(35, 20);
		nameLabel.setText(user.getName());
		nameLabel.setAlignment(Pos.TOP_CENTER);
		getChildren().add(nameLabel);

		getStyleClass().add("quick-select");
	}

}
